> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ixopay.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ixopay.ferndocs.com/_mcp/server.

# Retrieve a schedule

GET https://gateway.ixopay.com/api/v3/schedule/{apiKey}/{scheduleId}/get

Requires the UUID of an existing transaction of type Register, Debit-with-register, or Preauthorize-with-register.

Reference: https://ixopay.ferndocs.com/developer-hub/api-reference/transaction-api/schedule/get-schedule

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `apiKey` (string, required) — API Key of Connector
- `scheduleId` (string, required) — ID of the schedule

## Response

### 200

Schedule response

- `success` (boolean, optional)
- `scheduleId` (string, optional)
- `registrationId` (string, optional)
- `oldStatus` (enum, optional)
  - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `ERROR`, `CREATE-PENDING`
- `newStatus` (enum, optional)
  - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `ERROR`, `CREATE-PENDING`
- `scheduledAt` (string, optional)
- `merchantMetaData` (string, optional)

## Examples

### success

**Response**

```json
{
  "success": true,
  "scheduleId": "SC-1234-1234-1234-1234-1234-1234",
  "oldStatus": "ACTIVE",
  "newStatus": "ACTIVE",
  "scheduledAt": "2019-09-30T12:00:00+00:00"
}
```

**SDK Code**

```python success
import requests

url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get"

response = requests.get(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript success
const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get';
const credentials = btoa("<username>:<password>");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby success
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp success
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```

```swift success
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### error

**Response**

```json
{
  "success": false
}
```

**SDK Code**

```python error
import requests

url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get"

response = requests.get(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript error
const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get';
const credentials = btoa("<username>:<password>");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go error
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby error
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java error
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php error
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp error
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```

```swift error
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/get")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```